com.hazelcast.org.snakeyaml.engine.v1.api

## Interface ConstructNode

- All Known Implementing Classes:
    StandardConstructor.ConstructOptionalClass, StandardConstructor.ConstructUndefined, StandardConstructor.ConstructUuidClass, StandardConstructor.ConstructYamlBinary, StandardConstructor.ConstructYamlBool, StandardConstructor.ConstructYamlFloat, StandardConstructor.ConstructYamlInt, StandardConstructor.ConstructYamlMap, StandardConstructor.ConstructYamlNull, StandardConstructor.ConstructYamlOmap, StandardConstructor.ConstructYamlSeq, StandardConstructor.ConstructYamlSet, StandardConstructor.ConstructYamlStr

      public interface ConstructNode

  Provide a way to construct a Java instance from the composed Node. Support recursive objects if it is required. (create Native Data Structure out of Node Graph) (this is the opposite for Represent)
  See Also:
    Processing Overview

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `construct(Node node)` Construct a Java instance with all the properties injected when it is possible.
    `default void` | `constructRecursive(Node node, Object object)` Apply the second step when constructing recursive structures.

- - ### Method Detail

    - #### construct

          Object construct(Node node)

      Construct a Java instance with all the properties injected when it is possible.
      Parameters:
        `node` - composed Node
      Returns:
        a complete Java instance or empty collection instance if it is recursive

    - #### constructRecursive

          default void constructRecursive(Node node,
                                          Object object)

      Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself. (no need to implement this method for non-recursive data structures). Fail with a reminder to provide the seconds step for a recursive structure
      Parameters:
        `node` - composed Node
        `object` - the instance constructed earlier by `construct(Node node)` for the provided Node

Copyright © 2020. All rights reserved.